[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.DoContextPopup

Signals the OnContextPopup handler.

## Declaration

Source position: controls.pp line 1554

`protected procedure TControl.DoContextPopup(`
`MousePos: TPoint;`
`var Handled: Boolean`
`); virtual;`

## Arguments

`MousePos` |  | TPoint instance with the Mouse position, used to place the menu.
`Handled` |  | Set to True in the event handler if the menu display and selection was handled for the control.

## Description

DoContextPopup is a method used to signal the OnContextPopup event handler (when assigned). The control instance is used as the Sender argument. Values in MousePos and Handled are also passed as parameters to the event handler. Handled should be set to True in the handler routine if the context pop-up was displayed and a menu item was executed.